Package com.microblink.blinkid.entities.detectors.quad.mrtd

# Enum Class MrtdSpecificationPreset

java.lang.Object
java.lang.Enum<MrtdSpecificationPreset>
com.microblink.blinkid.entities.detectors.quad.mrtd.MrtdSpecificationPreset

All Implemented Interfaces:
  `Serializable`, `Comparable<MrtdSpecificationPreset>`, `Constable`

public enum MrtdSpecificationPreset extends Enum<MrtdSpecificationPreset>
Available presets for creating `MrtdSpecification`s by using `MrtdSpecification.createFromPreset(MrtdSpecificationPreset)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MRTD_SPECIFICATION_TD1`
  Full document containing three Machine Readable Lines with 30 characters each
  `MRTD_SPECIFICATION_TD2`
  Full document containing two Machine Readable Lines with 36 characters each
  `MRTD_SPECIFICATION_TD3`
  Full document containing two Machine Readable Lines with 44 characters each

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MrtdSpecificationPreset`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MrtdSpecificationPreset[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MRTD_SPECIFICATION_TD1

    public static final MrtdSpecificationPreset MRTD_SPECIFICATION_TD1
    Full document containing three Machine Readable Lines with 30 characters each

  - ### MRTD_SPECIFICATION_TD2

    public static final MrtdSpecificationPreset MRTD_SPECIFICATION_TD2
    Full document containing two Machine Readable Lines with 36 characters each

  - ### MRTD_SPECIFICATION_TD3

    public static final MrtdSpecificationPreset MRTD_SPECIFICATION_TD3
    Full document containing two Machine Readable Lines with 44 characters each

- ## Method Details

  - ### values

    public static MrtdSpecificationPreset[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MrtdSpecificationPreset valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null